extends TextureButton


@export var dragon_editor: PackedScene

@onready var base: GameManager = $"../.."


func _on_button_up() -> void:
	var editor: DragonEditor = dragon_editor.instantiate()
	editor.set_save_load(base._save_load)
	editor.on_create_dragon.connect(base.add_dragon)
	
	var window_position: Vector2i = DisplayServer.window_get_position()
	var window_size: Vector2i = DisplayServer.window_get_size()
	
	editor.position = window_position - editor.size / 2
	
	editor.show()
	add_child(editor)
